Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldchi.jvm
Class JVM

    java.lang.Object
      com.sun.cldchi.jvm.JVM

    public class JVM

extends Object

Method Summary
`static void` | `unchecked_byte_arraycopy(byte[] src, int srcOffset, byte[] dst, int dstOffset, int length)` Copy an array from the specified source array, beginning at the specified position, to the specified position of the destination array.
`static void` | `unchecked_char_arraycopy(char[] src, int srcOffset, char[] dst, int dstOffset, int length)`
`static void` | `unchecked_int_arraycopy(int[] src, int srcOffset, int[] dst, int dstOffset, int length)`
`static void` | `unchecked_long_arraycopy(long[] src, int srcOffset, long[] dst, int dstOffset, int length)`
`static void` | `unchecked_obj_arraycopy(Object[] src, int srcOffset, Object[] dst, int dstOffset, int length)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unchecked_byte_arraycopy

    public static void unchecked_byte_arraycopy(byte[] src,
                                                int srcOffset,
                                                byte[] dst,
                                                int dstOffset,
                                                int length)

  Copy an array from the specified source array, beginning at the specified position, to the specified position of the destination array.

  Impose the following restrictions on the input arguments:

  - `dst` is not `null`.
  - `src` is not `null`.
  - The `srcOffset` argument is not negative.
  - The `dstOffset` argument is not negative.
  - The `length` argument is not negative.
  - `srcOffset+length` is not greater than `src.length`, the length of the source array.
  - `dstOffset+length` is not greater than `dst.length`, the length of the destination array.
  - any actual component of the source array from position `srcOffset` through `srcOffset+length-1` can be converted to the component type of the destination array

  The caller is responsible that these restrictions are not violated. If any of the restrictions above is violated, the behavior is undefined.

  Parameters:
    `src` - the source array.
    `srcOffset` - start position in the source array.
    `dst` - the destination array.
    `dstOffset` - start position in the destination data.
    `length` - the number of array elements to be copied.

### unchecked_char_arraycopy

    public static void unchecked_char_arraycopy(char[] src,
                                                int srcOffset,
                                                char[] dst,
                                                int dstOffset,
                                                int length)

### unchecked_int_arraycopy

    public static void unchecked_int_arraycopy(int[] src,
                                               int srcOffset,
                                               int[] dst,
                                               int dstOffset,
                                               int length)

### unchecked_long_arraycopy

    public static void unchecked_long_arraycopy(long[] src,
                                                int srcOffset,
                                                long[] dst,
                                                int dstOffset,
                                                int length)

### unchecked_obj_arraycopy

    public static void unchecked_obj_arraycopy(Object[] src,
                                               int srcOffset,
                                               Object[] dst,
                                               int dstOffset,
                                               int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"